OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PPoly

# PPoly_Polygon2D Class Reference

`#include <PPoly_Polygon2D.hxx>`

## Public Member Functions
Standard_EXPORT | PPoly_Polygon2D (const Handle(PColgp_HArray1OfPnt2d)&Nodes, const Standard_Real Defl)
| Defaults with allocation of nodes. .
Standard_EXPORT Standard_Real | Deflection () const
Standard_EXPORT void | Deflection (const Standard_Real Defl)
Standard_EXPORT Standard_Integer | NbNodes () const
Standard_EXPORT Handle_PColgp_HArray1OfPnt2d | Nodes () const
Standard_EXPORT void | Nodes (const Handle(PColgp_HArray1OfPnt2d)&Nodes)
| PPoly_Polygon2D ()
| PPoly_Polygon2D (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPPoly_Polygon2DmyDeflection () const
void | _CSFDB_SetPPoly_Polygon2DmyDeflection (const Standard_Real p)
| Handle (PColgp_HArray1OfPnt2d) _CSFDB_GetPPoly_Polygon2DmyNodes() const
void | _CSFDB_SetPPoly_Polygon2DmyNodes (const Handle(PColgp_HArray1OfPnt2d)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | myDeflection
Handle_PColgp_HArray1OfPnt2d | myNodes

## Constructor & Destructor Documentation

Standard_EXPORT PPoly_Polygon2D::PPoly_Polygon2D | ( | const Handle(PColgp_HArray1OfPnt2d)& | Nodes,
|  | const Standard_Real | Defl
| ) |

PPoly_Polygon2D::PPoly_Polygon2D | ( |  | ) | `[inline]`

PPoly_Polygon2D::PPoly_Polygon2D | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PPoly_Polygon2D::_CSFDB_GetPPoly_Polygon2DmyDeflection | ( |  | ) | const`[inline]`

void PPoly_Polygon2D::_CSFDB_SetPPoly_Polygon2DmyDeflection | ( | const Standard_Real | p | ) | `[inline]`

void PPoly_Polygon2D::_CSFDB_SetPPoly_Polygon2DmyNodes | ( | const Handle(PColgp_HArray1OfPnt2d)& | p | ) | `[inline]`

Standard_EXPORT void PPoly_Polygon2D::Deflection | ( | const Standard_Real | Defl | ) |

Standard_EXPORT Standard_Real PPoly_Polygon2D::Deflection | ( |  | ) | const

Standard_EXPORT const PPoly_Polygon2D::Handle | ( | Standard_Type |  | ) | const

PPoly_Polygon2D::Handle | ( | PColgp_HArray1OfPnt2d |  | ) | const`[inline]`

Standard_EXPORT Standard_Integer PPoly_Polygon2D::NbNodes | ( |  | ) | const

Standard_EXPORT void PPoly_Polygon2D::Nodes | ( | const Handle(PColgp_HArray1OfPnt2d)& | Nodes | ) |

Standard_EXPORT Handle_PColgp_HArray1OfPnt2d PPoly_Polygon2D::Nodes | ( |  | ) | const

## Field Documentation

Standard_Real PPoly_Polygon2D::myDeflection`[private]`

Handle_PColgp_HArray1OfPnt2d PPoly_Polygon2D::myNodes`[private]`

The documentation for this class was generated from the following file:

- PPoly_Polygon2D.hxx